# list

## HTTP Request

```http
GET /api/v1/workflows/:workflowReference/notebooks
```

## Path parameters

| Parameter         |                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| workflowReference | A qualified reference to the workflow. See [referencing resources](/api/referencing-resources.md) for more information. |

## Query parameters

| Parameter  |                                                                                              |
| ---------- | -------------------------------------------------------------------------------------------- |
| maxResults | Default 100. Must be less than 1000.                                                         |
| pageToken  | For paginating through results, provide the value returned from the previous table.list call |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Only datasets to which you have overview access will be returned. If a dataset's overview is not public, your access token must have one of the following scopes:

* workflow\.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [notebook resources](/api/resource-definitions/notebook.md).

```javascript
{
    "kind": "notebookList",
    "nextPageToken": string,
    "results": [
        object(notebook.list)
    ]
}
```

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
# List the notebooks at https://redivis.com/workflows/x7kh-5pvd4mbf1
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/workflows/imathews.example_worfklow_climate_analysis:x7kh/notebooks"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/notebooks/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
